# NIN Checks

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/ninkyc`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

| Name                                           | Type   | Description                |
| ---------------------------------------------- | ------ | -------------------------- |
| verify\_type<mark style="color:red;">\*</mark> | String | e.g basic, premium         |
| nin<mark style="color:red;">\*</mark>          | String | 10 digit number of the NIN |

### Sample Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```json
curl --location 'https://api.1app.online/v1/ninkyc' \
--header 'SECRET_KEY: BEARER SECRET_KEY' \
--data '{
    "verify_type": "premium",
    "nin": "12323444556"
}'
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```json
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.1app.online/v1/ninkyc',
  'headers': {
    'SECRET_KEY': 'BEARER SECRET_KEY'
  },
  body: '{"verify_type": "premium", "nin": "12323444556"}'

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.1app.online/v1/ninkyc',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "verify_type": "premium",
    "nin": "12323444556"
}',
  CURLOPT_HTTPHEADER => array(
    'SECRET_KEY: BEARER SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}
{% endtabs %}

### Sample Response

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true,
  "responseCode": "01",
  "msg": "Verified",
  "data": {
    "title": "Mr",
    "firstname": "AMAD",
    "lastname": "CKUKWU",
    "gender": "male",
    "dob": "01-02-1956",
    "phone_number": "09012345678",
    "residence": "Yola State",
    "address": "2, Iwajowa street, Agugu",
    "country": "nigeria",
    "photo": "BASE64 ENCODED"
  }
}
```

{% endtab %}
{% endtabs %}
